Bug 522239 - Review Request: qdex - Romanian offline dictionary
Review Request: qdex - Romanian offline dictionary
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-09-09 16:30 EDT by Ionuț Arțăriși
Modified: 2012-06-29 18:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-29 18:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ionuț Arțăriși 2009-09-09 16:30:13 EDT
Spec URL: http://mapleoin.fedorapeople.org/pkgs/qdex/qdex.spec
SRPM URL: http://mapleoin.fedorapeople.org/pkgs/qdex/qdex-9.09-3.fc11.src.rpm
Description: qDex is an offline dictionary application that uses the database
of the Romanian word definitions created and maintained by Dexonline.ro
volunteers.

Hello!

I have a couple of problems with this package.

1. I've included only very few files from the package. Everything is packed inside the executable. The Readme file details the installation process so I've excluded it along with everything else (header files, html doc files which are included in the binary, qdbm and zlib programs).

2. qdex gets all its definitions from http://dexonline.ro. By default it downloads them to the current directory the first time it starts and any time the user asks for it. I had patched it so that it would put the db file (some 20MB) in /var/lib/qdex, but then only root could update the db. So I removed the patch and assumed that, since users will start qdex from the menu, the database will always stay/get updates in the current user's home and not have duplicates that way.
So this is the dillema: leave it the way it is now or patch the program to remove the "manual update" button and make a separate -data package with the database, that way the database only gets updated by fedora. However, dexonline seems to be quite the active project, with more definitions added daily.

I don't know if I should be mentioning this anymore, but I'm not yet in the packager group although I have found a sponsor.
Comment 1 manuel wolfshant 2010-07-15 23:40:17 EDT
  Ionut, I suggest to start a thread in fedora-devel in order to find out what would be the best approach regarding the definitions. I have mixed feelings about that.
  Anyway, the argument that "it would put the db file (some 20MB) in /var/lib/qdex, but then only root could update the db" is bogus, you can very well make that folder accessible to any user via standard unix access rights ( for instance a) chmod a+w /var/lib/qdex or b) creating a special group qdex, making /var/lib/qdex  g+w and requiring users to be in the qdex group in order to be allowed to update the db ). You could also look at the approach taken by mock itself.
Comment 2 Jason Tibbitts 2010-11-03 12:38:00 EDT
This fails to build for me:

/usr/bin/ld: tmp/obj/mainwindow.o: undefined reference to symbol 'inflateInit2_'
/usr/bin/ld: note: 'inflateInit2_' is defined in DSO /lib64/libz.so.1 so try adding it to the linker command line
/lib64/libz.so.1: could not read symbols: Invalid operation
collect2: ld returned 1 exit status

A scratch build showing the failure is at http://koji.fedoraproject.org/koji/taskinfo?taskID=2574496

Please clear the Whiteboard if providing a package which builds.
Comment 3 Thomas Spura 2011-12-04 10:19:08 EST
Ping, any update on this?

Note You need to log in before you can comment on or make changes to this bug.